AGTripleIterator (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGTripleIterator

Package com.franz.agraph.jena

# Class AGTripleIterator

java.lang.Object
org.apache.jena.util.iterator.NiceIterator<Triple>
com.franz.agraph.jena.AGTripleIterator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Iterator<Triple>`, `org.apache.jena.atlas.iterator.IteratorCloseable<Triple>`, `org.apache.jena.atlas.lib.Closeable`, `ClosableIterator<Triple>`, `ExtendedIterator<Triple>`

public class AGTripleIterator extends NiceIterator<Triple> implements Closeable
A utility class for iterating over Jena Triples.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `hasNext()`
  `Triple`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class org.apache.jena.util.iterator.NiceIterator

  `andThen, andThen, asList, asSet, close, emptyIterator, filterDrop, filterKeep, mapWith, removeNext, toList, toSet`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jena.util.iterator.ExtendedIterator

  `forEach, nextOptional`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ClosableIterator<Triple>`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `org.apache.jena.atlas.lib.Closeable`
    Overrides:
      `close` in class `NiceIterator<Triple>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Triple>`
    Overrides:
      `hasNext` in class `NiceIterator<Triple>`

  - ### next

    public Triple next()
    Specified by:
      `next` in interface `Iterator<Triple>`
    Overrides:
      `next` in class `NiceIterator<Triple>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Triple>`
    Overrides:
      `remove` in class `NiceIterator<Triple>`